/**
 * 
 */
package snippet.gef.sample2.gef.editor;

import org.eclipse.gef.GraphicalEditPart;
import org.eclipse.gef.tools.CellEditorLocator;
import org.eclipse.gef.tools.DirectEditManager;

import snippet.gef.sample2.gef.part.EntityPart;
import snippet.gef.sample2.model.Entity;

/**
 * @author amergey
 *
 */
public class EntityEditManager extends DirectEditManager {

	public EntityEditManager(GraphicalEditPart pSource, Class pEditorType,
			CellEditorLocator pLocator) {
		super(pSource, pEditorType, pLocator);
	}

	/**
	 * @see org.eclipse.gef.tools.DirectEditManager#initCellEditor()
	 */
	@Override
	protected void initCellEditor() {
		EntityPart part=(EntityPart) getEditPart();

		getCellEditor().setValue(((Entity)part.getModel()).getLabel());
	}
}
