package snippet.gef.sample2.model;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

public class Entity extends AbstractElement{

	private String mLabel;
	private List<Attribute> mAttributes;

	public Entity(String mLabel,int pAttributes) {
		super();
		this.mLabel = mLabel;
		mAttributes=new ArrayList<Attribute>(pAttributes);
		for (int i = 0; i < pAttributes; i++) {
			mAttributes.add(new Attribute(mLabel + '_' + "Attrb_" + i));
		}
	}

	public String getLabel() {
		return mLabel;
	}

	public Collection<? extends Attribute> getAllAttributes() {
		return mAttributes;
	}

	public void setLabel(String pNewLabel) {
		String oldLabel=mLabel;
		mLabel=pNewLabel;
		firePropertyChange("label", oldLabel, pNewLabel);
	}

}
