
package snippet.gef.sample2.gef.command;

import org.eclipse.gef.commands.Command;

import snippet.gef.sample2.model.Entity;

public class ChangeEntityLabelCommand extends Command{

	private String mNewLabel;
	private Entity mEntity;
	public ChangeEntityLabelCommand(Entity pEntity,String pNewLabel) {
		super();
		mNewLabel = pNewLabel;
		mEntity = pEntity;
	}
	/**
	 * @see org.eclipse.gef.commands.Command#execute()
	 */
	@Override
	public void execute() {
		mEntity.setLabel(mNewLabel);
	}
}
