/**
 * 
 */
package snippet.gef.sample2.gef.part;

import org.eclipse.draw2d.IFigure;
import org.eclipse.gef.editparts.AbstractGraphicalEditPart;

import snippet.gef.sample2.gef.figure.AttributeFigure;
import snippet.gef.sample2.model.Attribute;

/**
 * @author amergey
 * 
 */
public class AttributePart extends AbstractGraphicalEditPart {
	/**
	 * @see org.eclipse.gef.editparts.AbstractGraphicalEditPart#createFigure()
	 */
	@Override
	protected IFigure createFigure() {
		return new AttributeFigure();
	}

	/**
	 * @see org.eclipse.gef.editparts.AbstractEditPart#createEditPolicies()
	 */
	@Override
	protected void createEditPolicies() {
	}

	@Override
	protected void refreshVisuals() {
		AttributeFigure figure = (AttributeFigure) getFigure();
		Attribute model = (Attribute) getModel();

		figure.setAttribute(model);
	}
}
